Latest 1.0.0
Homepage https://github.com/yosan/SwifTumblr
License MIT
Platforms ios 9.0, requires ARC
Dependencies Alamofire, AEXML
Authors

CI Status
Version
License
Platform

Simple Tumblr RSS parser by Swift.

SwifTumblr.getBlog(
    URLString: "http://ysn-blog.tumblr.com/api/read",
    success: { blog in
        self.blog = blog
        self.tableView.reloadData()
    },
    failure: { error in
        self.error = error
    }
)

Usage

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

  • iOS 9.0+
  • Xcode 9.0+
  • Swift 4.0+

Installation

SwifTumblr is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "SwifTumblr"

Author

yosan, [email protected]

License

SwifTumblr is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "SwifTumblr",
    "version": "1.0.0",
    "summary": "Fetch and parse tumblr blog.",
    "description": "This library fetch tumblr blog and covert it to Swift objects.",
    "homepage": "https://github.com/yosan/SwifTumblr",
    "license": "MIT",
    "authors": {
        "yosan": "[email protected]"
    },
    "source": {
        "git": "https://github.com/yosan/SwifTumblr.git",
        "tag": "1.0.0"
    },
    "platforms": {
        "ios": "9.0"
    },
    "requires_arc": true,
    "source_files": "Pod/Classes/**/*",
    "dependencies": {
        "Alamofire": [
            "~> 4.5.0"
        ],
        "AEXML": [
            "~> 4.0"
        ]
    },
    "pushed_with_swift_version": "4.0"
}

Pin It on Pinterest

Share This